Name:           python-johnsnowlabs
Version:        5.5.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        The John Snow Labs Library gives you access to all of John Snow Labs Enterprise And Open Source products in an easy and simple manner. Access 10000+ state-of-the-art NLP and OCR models for Finance, Legal and Medical domains. Easily scalable to Spark Cluster

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.johnsnowlabs.com/
Source:         %{pypi_source johnsnowlabs}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'johnsnowlabs' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-johnsnowlabs
Summary:        %{summary}

%description -n python3-johnsnowlabs %_description


%prep
%autosetup -p1 -n johnsnowlabs-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-johnsnowlabs -f %{pyproject_files}


%changelog
%autochangelog